package synchronization;

public class Main {

	public static void main(String[] args) {
		CommonObjectSync cSync = new CommonObjectSync();
		CommonObjectNoSync cNoSync = new CommonObjectNoSync();
		MyThread1 t1 = new MyThread1(cSync, cNoSync);
		MyThread2 t2 = new MyThread2(cSync, cNoSync);
		
		t1.start();
		t2.start();
		
		try {
			Thread.sleep(500);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		System.out.println("c1=" + cSync.getBookedBy());
		System.out.println("c2=" + cNoSync.getBookedBy());
	}
}
